package graphics;

import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.Dimension;
import javax.swing.JSplitPane;
import java.awt.GridBagLayout;
import javax.swing.JLabel;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import main.Main;

public class Solution {

	private JFrame jFrame = null;  //  @jve:decl-index=0:visual-constraint="231,37"
	private JSplitPane jSplitPane = null;
	private JPanel jPanel = null;
	private JLabel jLabel1 = null;
	private JPanel jPanel1 = null;
	private JLabel jLabel = null;
	private JLabel jLabel2 = null;
	private JLabel jLabel11 = null;
	private JLabel jLabel12 = null;
	private JLabel jLabel13 = null;
	private JLabel jLabel14 = null;
	private JLabel jLabel15 = null;
	
	public Solution() {
		getJFrame().setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		jFrame.setResizable(false);
		jFrame.setLocation(400, 300);
		jLabel.setText(new Integer(Main.solution.getLevel()).toString());
		jLabel12.setText(new Integer(Main.solution.getSpace()).toString());
		jLabel14.setText(new Integer(Main.solution.getCut()).toString());
		jLabel15.setText(new Integer(Main.solution.getTime()).toString());
		jFrame.setVisible(true);
	}
	
	/**
	 * This method initializes jFrame	
	 * 	
	 * @return javax.swing.JFrame	
	 */
	private JFrame getJFrame() {
		if (jFrame == null) {
			jFrame = new JFrame();
			jFrame.setSize(new Dimension(314, 123));
			jFrame.setContentPane(getJSplitPane());
			jFrame.setTitle("Puzzle Solution");
		}
		return jFrame;
	}
	/**
	 * This method initializes jSplitPane	
	 * 	
	 * @return javax.swing.JSplitPane	
	 */
	private JSplitPane getJSplitPane() {
		if (jSplitPane == null) {
			jSplitPane = new JSplitPane();
			jSplitPane.setLeftComponent(getJPanel());
			jSplitPane.setRightComponent(getJPanel1());
		}
		return jSplitPane;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			GridBagConstraints gridBagConstraints7 = new GridBagConstraints();
			gridBagConstraints7.insets = new Insets(0, 0, 21, 0);
			gridBagConstraints7.gridy = 3;
			gridBagConstraints7.gridx = 0;
			GridBagConstraints gridBagConstraints6 = new GridBagConstraints();
			gridBagConstraints6.insets = new Insets(0, 0, 5, 8);
			gridBagConstraints6.gridy = 2;
			gridBagConstraints6.gridx = 0;
			GridBagConstraints gridBagConstraints5 = new GridBagConstraints();
			gridBagConstraints5.gridx = 0;
			gridBagConstraints5.insets = new Insets(0, 0, 5, 2);
			gridBagConstraints5.gridy = 1;
			GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
			gridBagConstraints4.insets = new Insets(17, 0, 5, 26);
			gridBagConstraints4.gridy = 0;
			gridBagConstraints4.gridx = 0;
			jLabel13 = new JLabel();
			jLabel13.setText("Elapsed Time (ms):");
			jLabel11 = new JLabel();
			jLabel11.setText("Discarded Nodes:");
			jLabel2 = new JLabel();
			jLabel2.setText("Examined Nodes:  ");
			jLabel1 = new JLabel();
			jLabel1.setText("Switch Moves:");
			jPanel = new JPanel();
			jPanel.setLayout(new GridBagLayout());
			jPanel.add(jLabel1, gridBagConstraints4);
			jPanel.add(jLabel2, gridBagConstraints5);
			jPanel.add(jLabel11, gridBagConstraints6);
			jPanel.add(jLabel13, gridBagConstraints7);
		}
		return jPanel;
	}
	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
			gridBagConstraints3.insets = new Insets(0, 0, 5, 128);
			gridBagConstraints3.gridy = 3;
			gridBagConstraints3.gridx = 0;
			GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
			gridBagConstraints2.insets = new Insets(0, 0, 5, 128);
			gridBagConstraints2.gridy = 2;
			gridBagConstraints2.gridx = 0;
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.insets = new Insets(0, 0, 5, 128);
			gridBagConstraints1.gridy = 1;
			gridBagConstraints1.gridx = 0;
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.insets = new Insets(0, 0, 5, 128);
			gridBagConstraints.gridy = 0;
			gridBagConstraints.gridx = 0;
			jLabel15 = new JLabel();
			jLabel15.setText("JLabel");
			jLabel14 = new JLabel();
			jLabel14.setText("JLabel");
			jLabel12 = new JLabel();
			jLabel12.setText("JLabel");
			jLabel = new JLabel();
			jLabel.setText("JLabel");
			jPanel1 = new JPanel();
			jPanel1.setLayout(new GridBagLayout());
			jPanel1.add(jLabel, gridBagConstraints);
			jPanel1.add(jLabel12, gridBagConstraints1);
			jPanel1.add(jLabel14, gridBagConstraints2);
			jPanel1.add(jLabel15, gridBagConstraints3);
		}
		return jPanel1;
	}

}
