package structures;

import java.util.Vector;

public class Node {
	
	private boolean status;
	private Table currentTable;
	private Node father;
	private Vector<Node> son;
	private int level;
	private int value;
		
	public void setFather(Node father) {this.father = father;}
	public void setSon(Node child) {son.addElement(child);}
	public void setLevel(int level) {this.level = level;}
	public void setValue (int value) {this.value = value;}
	public Node getFather() {return father;}
	public int getLevel() {return level;}
	public int getValue () {return value;}
	public Table getTable() {return currentTable;}
	public Node getSon(int index) {return son.elementAt(index);}
	public int getSonSize() {return son.size();}
	public void setStatus(boolean status) {this.status = status;}
	public boolean getStatus() {return status;}
	
	public Node(Table table, Node father, int level, int value) {
		this.currentTable = table;
		this.father = father;
		this.son = new Vector<Node>();
		this.level = level;
		this.value = value;
		this.status = false;
	}
}
