package graphics;

import javax.swing.JPanel;
import java.awt.Dimension;
import javax.swing.JDialog;
import java.awt.BorderLayout;
import javax.swing.JButton;
import main.Main;

public class Stop {

	private JDialog jDialog = null;  //  @jve:decl-index=0:visual-constraint="278,73"
	private JPanel jContentPane = null;
	private JButton jButton = null;

	public Stop() {
		getJDialog().setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
		jDialog.setResizable(false);
		jDialog.setLocation(400, 300);
		jDialog.setVisible(true);
	}
	
	public void disposeForm() {
		Main.configuration.enableSolution();
		jDialog.dispose();
		}
	
	/**
	 * This method initializes jDialog	
	 * 	
	 * @return javax.swing.JDialog	
	 */
	private JDialog getJDialog() {
		if (jDialog == null) {
			jDialog = new JDialog();
			jDialog.setSize(new Dimension(179, 60));
			jDialog.setTitle("Calculating...");
			jDialog.setContentPane(getJContentPane());
		}
		return jDialog;
	}

	/**
	 * This method initializes jContentPane	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getJButton(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Stop");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					jButton.setEnabled(false);
					jDialog.setTitle("Closing...");
					Main.algorithm.setGraphicStop(true);
					}
			});
		}
		return jButton;
	}
}
